Permalink
Browse files

dev: add support for a Gemfile-custom file so devs can customize their

dev env.
  • Loading branch information...
1 parent 0404fe3 commit ee563060615dcd333fceac8e4f77f6706cbba663 @dchelimsky dchelimsky committed Nov 26, 2011
Showing with 8 additions and 16 deletions.
  1. +2 −0 .gitignore
  2. +6 −16 Gemfile
View
@@ -14,3 +14,5 @@ Gemfile.lock
bin
.rbx
.yardoc
+vendor
+Gemfile-custom
View
22 Gemfile
@@ -47,22 +47,10 @@ group :development do
end
platforms :mri_19 do
- gem 'ruby-debug19', '~> 0.11.6'
- if RUBY_VERSION == '1.9.3' && !ENV['TRAVIS']
- if `gem list ruby-debug-base19` =~ /0\.11\.26/
- gem 'ruby-debug-base19', '0.11.26'
- else
- warn "Download and install ruby-debug-base19-0.11.26 from http://rubyforge.org/frs/shownotes.php?release_id=46303"
- end
-
- if `gem list linecache19` =~ /0\.5\.13/
- gem 'linecache19', '0.5.13'
- else
- warn "Download and install linecache19-0.5.13 from http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem"
- end
- else
- gem 'ruby-debug-base19', '~> 0.11.25'
- gem 'linecache19', '~> 0.5.12'
+ if RUBY_VERSION == '1.9.2'
+ gem 'ruby-debug19', '0.11.6'
+ gem 'ruby-debug-base19', '0.11.25'
+ gem 'linecache19', '0.5.12'
end
end
@@ -71,3 +59,5 @@ group :development do
gem "ruby-prof", "~> 0.10.0"
end
end
+
+eval File.read('Gemfile-custom') if File.exist?('Gemfile-custom')

0 comments on commit ee56306

Please sign in to comment.